YAML::PP::Writer::File(3)

NAME
YAML::PP::Writer::File - Write YAML output to file or file handle

SYNOPSIS
    my $writer = YAML::PP::Writer::File->new(output => $file);

DESCRIPTION
The YAML::PP::Emitter sends its output to the writer.

You can use your own writer. if you want to send the YAML output to somewhere else. See t/44.writer.t for an example.

METHODS

new
        my $writer = YAML::PP::Writer::File->new(output => $file);
        my $writer = YAML::PP::Writer::File->new(output => $filehandle);

    Constructor.

write
        $writer->write('- ');

init
        $writer->init;

    Initialize

finish
        $writer->finish;

    Gets called when the output ends. If The argument was a filename, the filehandle will be closed. If the argument was a filehandle, the caller needs to close it.

output, set_output
    Getter/setter for the YAML output